IRQ - это аппаратный вектор, используемый в PC устройствами (ISA шины) такими как клавиатуры, модемы, звуковые карты, и т.д., для посылки сигнала прерывания процессору. чтобы сообщить, что устройство готово принять или отправить данные. К сожалению, всего есть только 16 векторов IRQ (0-15), доступных в архитектуре i386 (PC) дляразделения между различными устройствами ISA.
Первая колонка - это номер IRQ. Вторая колонка - это число прерываний, которые были приняты с момента последней перезагрузки. Третья колонка показывает тип прерывания. Четвертая показывает устройство, занявшее данное прерывание.
Автор раздела
Перевод на русский Виталий Лопатин vitls@chat.ru
Настройки MIDI
Этот модуль используется для того, чтобы определить, какое устройство MIDI должен использовать KDE. Также, если вы хотите, можно установить оболочку (wrapper) для устройства MIDI.
Пользоваться этим модулем очень просто. Щелкните один раз мышкой по MIDI -устройству, которое вы хотели бы использовать.
Если вы хотите использовать картограф MIDI, отметьте флажок Использовать картограф MIDI. Тогда вы сможете указать карту в текстовом поле, расположенном ниже. Вы можете щелкнуть по значку папки, чтобы просмотреть файловую систему и выбрать нужную вам карту.
Автор раздела
Mike McBride mpmcbride7@yahoo.com
Перевод на русский - ВладимирЧепель slvun@mail.ru
Микшер
В этом модуле можно настроить некоторые из базовых параметров KMix - микшера KDE.
Первый раздел касается уровней громкости. Вы можете сохранить текущие значения уровней громкости в качестве значений по умолчанию. Можно также восстановить сохраненные уровни громкости.
При включении опции Восстановить уровни громкости при запуске KDE уровни громкости будут устанавливаться в их значения по умолчанию при запуске KDE.
На другой вкладке вы можете указать, как KMix будет опрашивать вашу звуковую плату.
С помощью ползунка Максимальное число опрашиваемых микшеров вы можете задать, сколько звуковых плат будет опрашивать KMix. Если у вас только одна звуковая плата, следует указать здесь значение 1. Большие значения привели бы к тому, что KMix продолжил бы поиск звуковых плат, что замедлило бы его запуск.
С помощью ползунка Максимальное число опрашиваемых устройств на один микшер задается, сколько устройств будет опрашивать KMix на звуковой плате. Увеличьте это значение, если драйвер вашей звуковой платы предоставляет больше микшеров, чем находит KMix.
Автор раздела
Mike McBride mpmcbride7@yahoo.com
Перевод на русский - Григорий Мохин mok@kde.ru
Разделы жесткого диска
Что именно показывается, зависит от системы. На некоторых платформах информация о разделах все еще недоступна.
Первые две колонки - это major и minor номера соответственно. Третья колонка - это число блоков (обычно 1 блок равен 1024 байт). Четвертая колонка - это метка устройства.
Авторы раздела
Перевод на русский - Григорий Мохин mok@kde.ru, 2001.
Шина PCI и PCI -платы
Что именно показывается, зависит от системы. На некоторых платформах информация о PCI может быть все еще недоступна.
Каждый элемент начинается с номера шины, устройства и функции.
Авторы раздела
Перевод на русский - Григорий Мохин mok@kde.ru
PCMCIA
Этот модуль служит для показа сведений о платах PCMCIA
Что именно показывается, зависит от системы. На большинстве машин вообще не выводится никакая информация.
Автор раздела
Paul Campbell paul@taniwha.com
Перевод на русский - Григорий Мохин mok@kde.ru
Информация о процессоре
Что именно показывается, зависит от системы. На некоторых платформах информация о процессоре все еще недоступна.
Точная информация в этом окне зависит от CPU на вашей машине; окно организовано в две колонки. Первая колонка - это параметр, вторая - его значение.
Авторы раздела
Перевод на русский - Виталий Лопатин vitls@chat.ru
Сведения о звуковой плате и драйвере
Что именно показывается, зависит от системы. На некоторых платформах информация о звуковой плате все еще недоступна.
Пользователь не может изменять никакие настройки на этой странице.
Авторы раздела
Перевод на русский - Григорий Мохин mok@kde.ru
Информация о Х сервере
Эта страница полезна для получения информации о вашем Х-сервере и о текущем Х-сеансе.
Когда вы открываете этот модуль, вам показывается некая информация. Левая часть окна организована в виде дерева. Некоторые элементы имеют в начале знак плюса. Щелкая на плюсе, вы открываете подменю, относящееся к элементу. Щелчок на символе минуса в начале элемента скроет от вас подменю.
Правая часть экрана - это индивидуальное значение для каждого параметра в левой части.
Представленная информация будет сильно зависеть от настроек.
Некоторые настройки могут не определять некоторые или все из указанных параметров.
Вы не можете ничего изменять из этого меню. Оно служит только для информации.
Авторы раздела
Michael McBride mpmcbride7@yahoo.com
Перевод на русский Виталий Лопатин vitls@chat.ru
Как связаться с командой KDE
Списки рассылки
У KDE есть списки рассылки, причем несколько. См. ниже текущий список. Архивы этих списков доступны на сервере архивов.
kde-request@kde.org - KDE
Общие вопросы
kde-announce-request@kde.org - kde-announce
Объявления о новых версиях KDE, равно как о новых инструментах и приложениях
kde-user-request@kde.org - kde-user
Пользователи KDE. Здесь вы можете попросить о помощи.
kde-devel-request@kde.org - kde-devel
Разработчики KDE
kde-licensing-request@kde.org - kde-licensing
Вопросы лицензирования
kde-look-request@kde.org - kde-look
Обсуждение внешнего вида и интерфейса
kde-artists-request@kde.org - kde-artists
Создание изображений и оформление
Документация KDE
kde-i18n-doc-request@kde.org - kde-18n-doc
Перевод на другие языки и документация
http: / /i18n.kde.org / teams / "
Для сведений о соответствующих списках на других языках зайдите на указанный сайт.
Эти адреса служат для подписки и ее отмены, и только. При подписке вы получите сообщение с информацией о пользовании списком и об изменении своих параметров подписки.
Не посылайте письма, предназначенные в списки рассылки, по этим адресам.
Не используйте HTML в своих запросах к серверу, так как это затрудняет его работу. Если адрес подписки именно тот, с которого вы посылаете письмо, можно его опустить в теме сообщения и оставить только subscribe.
Как связаться с разработчиками KDE?
Адреса разработчиков указаны в документации и исходниках самих приложений.
Официальные контакты
Зайдите на страницу официальных представителей KDE, если вам требуется с ними связаться.
Дальнейшая информация
Ее можно получить на сайте http: / /www.kde.org.
О FAQ
Какой вклад я могу внести в составление FAQ?
Во-первых, отправляйте нам все найденные ошибки, ваши предложения и все, что вы считаете недостаточно ясным (а также, если возможно, то, что вы считаете более ясным). Наш адрес kde-faq@kde.org.
Во-вторых, отправляйте нам ваши ответы на те часто задаваемые вопросы, которые еще не включены в FAQ. Как только появится возможность, они будут туда добавлены.
И наконец, пользуйтесь FAQ. Внимательно прочтите FAQ (и другую документацию) до того, как отправлять вопросы в различные списки рассылки и группы новостей KDE.
Вы, возможно, захотите стать разработчиком FAQ. Подробная информация об этом находится в.
Как стать разработчиком FAQ?
Стать разработчиком FAQ очень просто. Нам всегда нужны новые люди. Просто отправьте нам сообщение по адресу kde-faq@kde.org.
Настройка KDE
Как установить язык, используемый в KDE?
Существует два способа, как установить язык, используемый для сообщений KDE:
Используя переменную окружения LANG
Второй метод использует стандартные локальные настройки в вашей системе. Для того, чтобы изменить язык, просто укажите соответствующую переменную окружения LANG. Например, если у вас оболочка bash и вы хотите, чтобы основным языком был русский, выполните export LANG=ru_RU.KOI8-R.
Существует ли в KDE переключатель клавиатуры для международных клавиатур?
Как заменить стандартную строку текстового приглашения Linux на вход в систему на экран KDE?
Расположение kdm на вашей системе может быть и другим.
Рискованно запускать графический вход в систему, не убедившись, что он работает. Если он не функционирует, вам будет довольно трудно оттуда выбраться.
Я хочу, чтобы щелчок левой кнопки мыши в любом месте на экране рабочего стола вызывал K -меню.
Где можно найти сведения о темах KDE?
Посетите сайт http: / /kde.themes.org /.
Как изменять типы MIME?
KDE (kdm) не читает мой .bash_profile!
xdm (и kdm) не запускает login shell, поэтому файлы .profile, .bash_profile, etc. просто отсутствуют. При загрузке xdm сначала запускает Xstartup как администратор, а затем Xsession как пользователь. Поэтому, чтобы добавить профиль пользователя, обычно вносят соответствующие дополнения в файл Xsession. Отредактируйте файлы Xsession и .xsession.
Как использовать в KDE шрифты TrueType?
Если у вас есть набор шрифтов TrueType из Microsoft Windows, отредактируйте в файле XF86Config доступ к папке с этими шрифтами. А затем дайте указание KDE использовать новые шрифты при помощи администратора шрифтов.
Есть ли возможность вводить символ Евро-валюты в KDE и работать с ним?
И да, и нет. За дополнительной информацией обращайтесь на: http: / /www.koffice.org / kword / euro.phtml.
Вклад
Какой вклад я могу внести в разработку KDE?
KDE - это проект свободного программного обеспечения, существующий благодаря добровольному участию в нем. Мы будем рады каждому, кто захочет внести свой вклад в развитие KDE. Речь идет не только лишь о программистах. Есть также множество других способов содействовать усовершенствованию KDE, а именно:
Проверка программного обеспечения.
Информирование об ошибках. Дополнительная информация об этом находится в разделе Как отправить сообщение об ошибке?.
Написание статей и книг о KDE. Если вы хотите помочь нести весть о KDE в массы, отправьте мне сообщение по адресу kde-pr@kde.org. Таким образом вы можете связаться с добровольцами KDE по работе с общественностью.
Разработка новых приложений для KDE. Дополнительная информация находится в разделе.
И разумеется, мы всегда рады спонсорам.: -)
Есть несколько мест, где можно поискать дополнительную информацию, если вы хотите принять участие в разработке. Первым шагом является регистрация в одном из списков рассылки. Вы вскоре увидите, что именно можно добавить или исправить.
Как отправить сообщение об ошибке?
Существует система учета ошибок на http: / /bugs.kde.org. Система включает в себя мастера составления новых сообщений об ошибках и список всех известных ошибок.
Хочу программировать для KDE. С чего начать?
Мы будем рады каждому, кто захочет принять участие в разработке программного обеспечения для KDE. Ваши первые шаги зависят в основном от вашего опыта, а именно, знаете ли вы C++, знакомы ли вы с библиотекой Qt и т.п..
Для того, чтобы познакомиться с программированием для KDE, вам потребуются следующие основные средства: automake, autoconf и egcs. Другие полезные советы можно найти на http: / /developer.kde.org /.
Внимательно прочитайте о том, как Как подписаться / отменить подписку. Все сказанное там относится также и к списку разработчиков.
Как получить доступ к CVS?
Проект KDE использует CVS для разработки основных частей программного обеспечения. Если вы что-то улучшили (например, исправили ошибку) и хотите поделиться своими изменениями, лучше всего будет, если вы создадите патч относительно свежей версии (snapshot) и отправите этот патч разработчику данной программы.
Если вы делаете это более или менее регулярно, можете попросить Stephan Kulow предоставить вам прямой доступ к CVS -серверу. Примите во внимание, что большое количество пользователей замедляет доступ к CVS для всех разработчиков; поэтому мы пытаемся сохранить небольшим (конечно, в разумных пределах) количество людей, имеющих прямой доступ. Но тем не менее, не стесняйтесь спросить об этом.
Мне просто интересно. Я могу получить доступ для чтения к CVS?
Кроме этого, возможно также использование анонимного CVS. Информация о настройке и работе с анонимным CVS находится здесь.
Существуют ли зеркала cvsup для KDE?
Да. Часто главный сервер KDE перегружен. Взгляните, пожалуйста, на список зеркал на http: / /www.kde.org / cvsupmirrors.html.
Если вы выбрали новый сервер cvsup, замените в скрипте cvsup *default host=cvs.kde.org на *default host=cvsup.your.new.host.
а о том, как переключиться на другой анонимный сервер, прочитатйте на http: / /www.kde.org / anoncvs.html, too.
Как принять участие в переводе программ KDE на мой родной язык?
Рабочий стол
Как установить на рабочем столе приложение?
Выберите желаемое приложение в K меню и перетащите его на рабочий стол. Вот и все.
Для приложений, не входящих в K -меню, нажмите правую кнопку на рабочем столе и выберите пункт Создать новую Ссылку на приложение, а затем настройте саму ссылку.
Как смонтировать / размонтировать устройство на рабочем столе?
Сначала убедитесь в том, есть ли у вас права для подключения / отключения устройства.
Затем вы можете добавить устройство на рабочий стол, нажав правую кнопку мыши и выбрав Создать новое.
Где хранятся пиктограммы?
Как использовать в KDE колесо прокрутки на мыши?
Начиная с версии Qt 2.0 осуществляется поддержка колеса прокрутки мыши, поэтому и рабочая среда KDE, базирующаяся на этих версиях, будет автоматически поддерживать использование колеса прокрутки мыши.
Почему не работает системный звук, например, при открывании окон?
На данный момент в не - FreeBSD и не - Linux системах системный звук не работает. Над этим идет работа. Если же вы используете FreeBSD или Linux, вы обнаружили ошибку; отправьте, пожалуйста, сообщение об ошибке.
Как запустить приложение на определенном рабочем столе?
Где нужно сохранить файлы, чтоб они появились на рабочем столе?
Файловый менеджер
Файловый менеджер KDE - это Konqueror. Домашняя страница Konqueror расположена на http: / /www.konqueror.org, там же находятся вопросы FAQ по Konqueror.
Как использовать Konqueror в качестве Web-обозревателя с прокси?
Как изменить внешний вид каталогов в Konqueror?
Чтобы отобразить каталог, Konqueror ищет в каталоге скрытый файл с именем .directory. Если вы хотите изменить то, каким образом отображается каталог, можете создать такой файл самостоятельно. Это файл .desktop. Например:
Этот файл используется для описания каталога корзины. Он изменяет пиктограмму каталога и заменяет (изображаемое) имя каталога на соответствующий перевод.
Чтобы изменить внешний вид каталогов, входящих в K -меню, можно также использовать kmenuedit.
Как осуществлять неанонимные передачи по FTP через Konqueror?
Konqueror запросит пароль и соединится с сервером.
Что означают %i и %m в строке Выполнить?
Эти параметры используются всеми приложениями KDE (поскольку они применяются в классе KApplication и все хорошие программы KDE создают объект KApplication еще до того, как они обращаются к конкретным аргументам командной строки).
Таким образом пользователь может изменять свойства приложений через kmenuedit. Параметр -caption довольно важен, так как вряд ли кому-то понравится, если пункт меню Редактор запустит нечто под названием kedit-0.9pl4-build47. Предполагается, что это будет окно с названием Редактор. Более того, эти названия локализируются, т.е. пользователь в Америке запускает CD-Player и видит окно с названием CD-Player, в то время как немецкий пользователь запускает CD Spieler и получает окно с названием CD-Spieler.
Как указать каталог запуска для Konqueror?
Щелкните правой кнопкой мыши на пиктограмме Konqueror, выберите Настройки. На вкладке Выполнить вы, вероятно, найдете что-то, наподобие kfmclient openProfile filemanagement;. Добавьте каталог file: / где / угодно, который должен открывать Konqueror.
Как импортировать закладки Netscape?
Нет необходимости что-либо импортировать. Закладки Netscape отображаются автоматически в Konqueror в меню Закладки и не требуют настройки со стороны пользователя.
Как обмануть сайт, чтоб он принял Konqueror за Netscape или за какой-нибудь другой броузер?
Как настроить Konqueror, чтоб он выполнял аплеты Java?
Почему Konqueror не воспроизводит GIF -изображения?
Потому что вы не включили GIF -поддержку в Qt. Дополнительная информация находится в разделе.
Как переименовать файл?
Щелкните правой кнопкой мыши на файле и выберите Переименовать.
Где взять KDE
Где взять KDE?
Распространяются ли с KDE дистрибутивы Linux?
Да, KDE уже поставляется с основными дистрибутивами Linux. Поскольку для построения дистрибутива требуется время, в них не всегда содержится самая последняя версия, но все же они достаточно приемлемы для начала и к тому же их присутствие позволяет избежать скачивания с Интернета.
Список дистрибутивов, с которыми поставляется KDE, можно найти здесь.
Какая последняя версия KDE?
Где найти версии KDE в разработке (снапшоты)?
Где взять Qt?
Qt включен и в большинство последних дистрибутивов Linux. О том, какая версия Qt вам необходима, можно узнать из раздела.
Кстати, что такое Qt?
Qt - это основанная на C+ + библиотека классов для построения пользовательских интерфейсов, которая также содержит многочисленные вспомогательные классы, такие как классы строк и классы для обработки ввода и вывода. Большинство таких элементов, как меню, кнопки, регуляторы и т.п., с которыми вы встречаетесь в приложениях KDE, поставляются именно этой библиотекой.
Qt представляет из себя многоплатформенную библиотеку, позволяющую создавать код, компилируемый как на системах UNIX, так и Windows. Подробней узнать о Qt можно на http: / /www.trolltech.com.
Инструкция по установке
Для будущих новообращенных
И так вы слышали слухи. Или видели снимки экрана. И вам очень хочется заполучить KDE. Но вы практически ничего не знаете обо всей этой "альтернативной OС". Не беспокойтесь! Все что вам нужно - это немножко (ну, может не так уж и немножко) почитать; вот и все!
KDE не работает на Windows 95 / 98 / NT и OS / 2 (пока). Чтобы запустить KDE, вам нужна система UNIX. Дополнительная информация находится в разделе.
Выберите платформу и установите ее на вашей системе.
В конце концов, вы готовы приступить к установке KDE. Начинайте читать следующий раздел. О том, где взять KDE читайте в разделе. И последнее, если при установке KDE вы столкнулись с проблемами, не стесняйтесь воспользоваться списками рассылки и группами новостей KDE. Но помните: нет глупых вопросов, но есть вопросы, на которые глупо отвечать, в особенности, если ответы на них уже даны в FAQ.
Удачи и приятного времяпрепровождения!
Доступные форматы пакетов
Требования
Для KDE 2.2.1 вам необходима библиотека Qt версии 2.2.4 или выше. Убедитесь, что вы загружаете нужную Qt. Вам также потребуются файлы заголовков, если вы захотите самостоятельно собрать KDE. Их можно бесплатно получить на http: / /www.trolltech.com / download. Можно также установить и дополнительные библиотеки, позволяющие усовершенствовать KDE. Примером может служить OpenSSL, которая обеспечивает безопасность просмотра при помощи Konqueror web-страниц (необходима версия >=0.9.6). Они должны поставляться вашим дистрибьютором, а если их нет, попросите обновление.
Описание базовых пакетов
Базовый дистрибутив на сегодняшний день состоит из одиннадцати пакетов. Некоторые из них необходимы, другие устанавливаются по желанию. Все пакеты можно получить в указанных выше форматах.
kdelibs
Необходим
kdebase
Необходим
Данный пакет содержит базовые приложения, формирующие ядро графической рабочей среды KDE, такие как оконный менеджер, эмулятор терминала, центр управления, файловый менеджер и панель.
kdeaddons
По желанию
Различные дополнения для kate, kicker, knewsticker, konqueror и noatun
kdeartwork
По желанию
Дополнительные обои, темы, стили, звуки...
kdebindings
По желанию
Различные привязки для Java, Perl, Python...
kdegames
По желанию
Различные игры, такие как маджонг, змеиные гонки, астероиды и тетрис.
kdegraphics
По желанию
Различные связанные с графикой программы, такие как программы просмотра PostScript и DVI, а также программа для рисования.
kdeutils
По желанию
Различные инструменты рабочего стола, такие как калькулятор, редактор и прочее.
kdemultimedia
По желанию
Приложения мультимедиа, такие как CD -проигрыватель и микшер.
kdenetwork
По желанию
Сетевые приложения. На данный момент здесь содержатся программы почты, чтения новостей и другие сетевые программы.
kdeadmin
По желанию
Программы системного администрирования.
kdetoys
По желанию
Развлечения!
kdevelop
По желанию
Полная интегрированная среда разработки для KDE и Qt
Необходимо установить пакет kdelibs первым. Все остальные пакеты устанавливаются в произвольном порядке.
Инструкции по установке для пакетов различных форматов
Не забудьте прочитать файлы README and INSTALL, если они присутствуют.
Установка пакетов Debian
Пакеты Debian устанавливаются в соответствии со стандартом файловой иерархии FHS (File Hierarchy Standard).
станьте администратором
Установка пакетов RPM
Для того, чтобы установить бинарные RPM
станьте администратором
Установка файлов .tar.bz2 с исходными текстами
Поскольку способ сборки KDE постоянно изменяется и обновляется, за новейшими инструкциями по установке пакетов с исходными текстами обращайтесь на страницу Установка из исходников.
Однако, в большинстве случаев должен работать и общий подход.
По умолчанию пакет .tar.bz2 с исходными текстами устанавливается в / usr / local / kde. Можно переопределить эту настройку при помощи --prefix в скрипте configure.
соберите пакет: make
Процедура, следующая за завершением установки
Помните, что неразумно устанавливать LD_LIBRARY_PATH вслепую. В подавляющем большинстве случаев в этом нет необходимости, а также вреда от этого больше, чем пользы. Имеется web-страница, которую написал Dave Barr, где объясняются отрицательные стороны LD_LIBRARY_PATH; она находится на http: / /www.cis.ohio-state.edu / ~barr / ldpath.html.
Хотя для использования большинства приложений KDE достаточно просто их вызвать, вы только выиграете, если воспользуетесьоконным менеджером KDE и его вспомогательными программами.
Некоторые системы (в особенности Red Hat Linux) вместо этого используют .Xclients.
В результате перед вами должен предстать новый блестящий рабочий стол KDE. И теперь вы можете начать исследовать удивительный мир KDE. В случае, если вы захотите сначала прочитать документацию, очень рекомендуем прочитать файл Как начать работу в KDE. Более того, каждое приложение содержит оперативную подсказку; получить к ней доступ можно через меню помощи.
Нужно ли удалять старую версию перед тем, как устанавливать новую?
В принципе, в этом нет необходимости.
RPM и пакеты Debian должны сами обо всем позаботиться.
Если же вы сами компилируете исходный код, обратите внимание на то, чтобы не компилировать разные версии пакетов KDE. То есть, если вы устанавливаете новую версию, сначала установите kdesupport, затем kdelibs и после этого kdebase.
Одного необходимо избегать: это устанавливать параллельно две и более версии KDE. Такое может произойти, если для разных версий указаны разные каталоги. Результат может быть непредсказуем. То же самое верно и в отношении Qt, если одновременно установлены разные версии. Это с легкостью может случиться, если старая версия установлена вместе с дистрибутивом Linux.
Как запустить KDE?
Самый удобный способ запуска KDE - это использование скрипта startkde. Просто вставьте строку startkde в конце файла .xsession (или .xinitrc, или .Xclients, если вы не пользуетесь ни kdm, ни xdm). А также удалите строки, запускающие предыдущий оконный менеджер. Если в вашем домашнем каталоге нет ни .xsession, ни .xinitrc, ни .Xclients, просто создайте новый файл, состоящий из одной строки, содержащей startkde.
Возможно ли установить KDE в каталоге пользователя?
Да, можно устанавливать KDE в каком угодно каталоге. Что именно вам нужно сделать зависит от того, какие пакеты вы желаете установить:
Пакеты с исходными текстами
Добавьте следующее в файлы инициализации. Обратите внимание, если нет необходимости задавать LD_LIBRARY_PATH, лучше этого и не делать.
Для csh и tcsh:
Для bash:
Пакеты RPM
Хотя KDE и будет запускаться из каталога пользователя, все же будут проблемы с программами, требующими бит suid, например, с программами в пакете kdeadmin. Но поскольку они вообще-то и не предназначены для того, чтобы запускаться пользователем, ничего страшного в этом нет.
Однако, на системах, использующих теневые пароли, хранители экрана должны быть suid, чтобы позволять разблокировку экрана через пароль; поэтому работать это не будет.
startkde дает сбой с сообщением не могу связаться с X-сервером. В чем дело?
Вы, вероятно, пытались запустить X-сервер при помощи startkde.
X-сервер запускается командой startx. startkde - это скрипт, который должен запускаться из .xinitrc, .xsession или .Xclients для активизации оконного менеджера и необходимых серверных демонов для KDE. См. также.
KDE на AIX?
KDE на переносном компьютере?
Если вы можете запустить на нем X Window System, у вас не должно быть проблем и с запуском KDE. А также, вам могут пригодиться следующие ссылки:
http: / /www.linux-laptop.net /
http: / /www.sanpei.org / Laptop-X / note-list.html
Мне не нравится, в какой каталог устанавливается KDE по умолчанию. Как его изменить и ничего при этом не сломать?
Допустим, по умолчанию это / opt / kde, а вы хотите перенести в / usr / local / kde. Вот что вам нужно сделать:
если вы еще не администратор, станьте им
ln -s / usr / local / kde / opt / kde
Это перенесет все файлы KDE в / usr / local / kde, но будет возможен доступ к ним и через / opt / kde.
Какие файлы можно удалить из каталога установки KDE? Безопасно ли удалять все файлы *.h, *.c и *.o?
Нет никакой необходимости хранить файлы .c и .o, но файлы .h вы, возможно, захотите оставить, если вдруг когда-нибудь надумаете компилировать ваши собственные программы KDE: они будут необходимы для include. Но если вы хотите добавлять патчи к исходным программам по мере их появления (а не скачивать все заново), их следует оставить.
Пропадут ли все мои настройки, если обновить KDE?
Те, кто перешел к KDE 2.2.x от KDE 2.0, пишут по-разному. Настройки сохраняются в подкаталоге .kde или .kde2 вашего домашнего каталога. Происходили как глобальные изменения, так и изменения в отдельных приложениях. Мы предлагаем создать резервный каталог вашего старого каталога .kde / .kde2, установить KDE 2.2.1, а затем скопировать назад все необходимые настройки программ почты и новостей. Ко всему сказанному надо добавить, что некоторые пользователи не встретились ни с какими проблемами при прямом переходе к новой версии без удаления старого каталога .kde.
При компиляции kdebase появляется bin / sh: msgfmt: command not found!
Вам потребуется GNU msgfmt, входящий в состав gettext пакета i18n GNU. Его можно найти на любом приличном зеркале GNU.
Как удалить собранные из исходников приложения KDE?
Что случилось с поддержкой GIF?
Дело в патенте на Unisys LZW.
Как установить темы KDE?
В KDE 2.2.1 есть менеджер тем; за дополнительной информацией обратитесь в раздел помощи Центра управления или на kde.themes.org.
Введение
Что такое KDE?
KDE - это интерактивная рабочая среда. Инициировал проект KDE Matthias Ettrich в 1996 году. Задачей проекта является объединить мощь операционных систем UNIX и удобство современного пользовательского интерфейса.
Короче говоря, KDE прокладывает дорогу UNIX на ваш рабочий стол!
На каких платформах KDE предположительно будет работать?
KDE - это рабочая среда для всех версий UNIX. Хотя большинство разработчиков KDE используют Linux, KDE относительно гладко работает в ряде систем. Однако, чтобы скомпилировать KDE на другом, не столь популярном варианте UNIX, или же если вы не используете средства разработки GNU, в особенности компилятор gcc, вам, возможно, придется немного подправить исходный код.
Почти обо всех системах, на которых работает KDE, написано на ÐÐ»Ð°ÑÑÐ¾ÑÐ¼Ñ Ð´Ð»Ñ KDE
KDE - это оконный менеджер?
Нет, KDE - не оконный менеджер, а представляет из себя гораздо большее, хотя в KDE действительно входит оконный менеджер (KWin).
KDE - это полноценная интегрированная рабочая среда.
KDE предоставляет полную рабочую среду, включающую Web-обозреватель, файловый менеджер, оконный менеджер, системы помощи и настройки функциональных возможностей, многочисленные инструменты и утилиты, постоянно возрастающее количество приложений, в их числе почтовый клиент, программы чтения новостей и работы с графикой, просмотрщики PostScript и DVI и т.д..
KDE - это копия CDE, Windows 95 или Mac OS?
Нет, KDE - это не копия. В особенности, не копия CDE или Windows. Несмотря на то, что разработчики стараются перенести в KDE самые лучшие свойства всех существующих рабочих сред, KDE - это действительно уникальная среда.
KDE - свободное программное обеспечение?
Да, KDE является свободным программным обеспечением согласно GNU General Public License. Все библиотеки KDE доступны в соответствии с LGPL, что делает возможным коммерческую разработку программного обеспечения для рабочей среды KDE; однако все приложения KDE находятся под лицензией GPL.
Совершенно законно бесплатное перенесение KDE и Qt на компакт-диски.
Приложения KDE
kppp
Многие пользователи KDE сообщают о проблемах, возникающих при работе с kppp, но перед тем, как выражать свое недовольство, проверьте следующее:
Можете ли вы дозвониться до вашего интернет-провайдера, не пользуясь kppp? Если нет, то kppp, возможно, тут ни при чем.
Просмотрели ли вы по крайней мере трижды документацию по kppp и следуете ли вы ее инструкциям и указаниям по устранению неисправностей?
Если у вас все же возникли проблемы, вот что может помочь их разрешить:
Как изменить настройки MTU в kppp?
Откройте диалоговое окно kppp и выберите Настройки. Выберите существующее соединение и щелкните по кнопке Изменить или Создать для создания нового соединения. На вкладке Дозвон выберите Аргументы. В окне аргументов укажите желаемые изменения (напр., mtu 296) и нажмите на Добавить. Если вы удовлетворены результатом, нажмите на Закрыть.
Для того чтобы проверить, зафиксированы ли новые параметры, выполните следующее:
В окне терминала укажите / sbin / ifconfig ppp0. Отображаемые на экране настройки MTU должны соответствовать введенным вами.
Добавьте debug и kdebug (каждый на отдельной строке) в файле / etc / ppp / options и перезапустите PPP. Сообщения по отладке, в том числе настройки MRU и MTU, вы найдете в / var / log / messages.
Если хотите, вы можете добавить настройки MRU и MTU в файле options, каждая из настроек должна находиться на отдельной строке, без кавычек и тире.
kppp соединяет медленнее, чем обычно.
Вот что может помочь:
Попробуйте запустить setserial spd_hi.
Значение MTU по умолчанию (1500), может быть слишком велико для соединения; попробуйте изменить его на меньшее, например, 296 или 576.
Konsole
Как перелистывать страницы?
KMail
KMail имеет свою собственную домашнюю страницу на http: / /kmail.kde.org, там же находятся часто задаваемые вопросы (FAQ).
Разное
Почему в KDE используется Qt?
Qt - это великолепно разработанный инструментарий, который предоставляет все необходимое для построения современного пользовательского интерфейса.
Qt написан на C+ + и тем самым делает возможной объектно-ориентированную разработку, обеспечивающую эффективность и повторное использование кода, в проекте такого масштаба, как KDE. По нашему мнению, нет лучшего инструментария для систем UNIX, а пытаться строить KDE не на основе самого лучшего было бы непростительной ошибкой.
Почему KDE не использует gtk, xforms, xlib и т.д.?
Существует множество разнообразных инструментариев. Но для обеспечения целостности и согласованности пользовательского интерфейса, а также для того, чтобы потребляемые ресурсы, такие как память, были минимальны, KDE может использовать только один из них.
Qt был выбран по выше указанным причинам.
Но Qt не распространяется бесплатно?
Именно бесплатно!
4 сентября 2000 года библиотеки Qt версии 2.2 были лицензированы согласно GPL, тем самым были выполнены все требования, которым отвечает "свободное программное обеспечение".
И да, и нет.
Konsole может имитировать прозрачность, перерисовывая фон окна в окне Konsole. Это создает иллюзию прозрачности, но если поместить Konsole поверх другого окна, прозрачность теряется. Если вы желаете большей прозрачности, под KDE можно успешно применять Eterm.
Как создать пиктограммы для приложений не из KDE, которые можно включить в K -меню? Куда идут эти пиктограммы (или kdelnk)?
Как быть с приложениями, не имеющими пиктограмм? Как их включить в меню?
При помощи редактора меню kmenuedit. Для этого нажмите правой кнопкой мыши на кнопку K и выберите Настройки....
Есть ли в KDE графический клиент FTP?
Да, и это не что иное, как ваш любимый файловый менеджер Konqueror. В нем можно перетаскивать файлы из Сети в локальные каталоги.
Как выйти из KDE?
Существует ли программа, которая проверяет почту у моего провайдера Интернета тогда и только тогда, когда я в Интернете?
Это сделают KBiff или KOrn. При отсутствии соединения они просто ничего не делают.
Действительно ли так необходимо обновлять до последней версии?
Мы рекомендуем всегда пользоваться последней стабильной версией. Иначе, вам, вероятно, будет трудно получить ответы на ваши вопросы. Если у вас возникнут проблемы со старой версией, наиболее вероятный ответ будет: Пожалуйста, установите свежую версию и попробуйте снова. Заметьте, что в свежих версиях бывают устранены и проблемы безопасности.
Как копировать в KDE?
Самый простой способ - при помощи мыши:
Выделите текст, который хотите копировать, держа нажатой левую кнопку мыши и передвигая курсор вдоль текста.
Переместите курсор на место назначения; в зависимости от конфигурации, вам, возможно, нужно будет щелкнуть левой кнопкой мыши для его активизации.
Чтобы вставить текст, щелкните средней кнопкой мыши. Если у вас мышь с двумя кнопками и включена эмуляция третьей кнопки, нажмите одновременно на обе кнопки.
Как преобразовать стандартные меню Red Hat в пункты K -меню?
Что такое CVS?
Это расшифровывается как Concurrent Versions System. Это система контроля за версиями, которая базируется на RCS (Revision Control System), но предоставляет более широкие функциональные возможности. Она используется для управления разрабатываемым исходным кодом. Она хранит многочисленные версии (что бывает очень полезно, если вы что-то сломали и вам нужно вернуться к предыдущей чистой версии), предоставляет доступ через сеть, позволяет скачивать свежий исходный код, а тем, кто имеет право на запись, также делать добавления. Это приложение с открытым кодом (вы платите за поддержку, если она вам нужна); благодаря тому, что она бесплатна, эту систему выбрали для написания другой свободной продукции, например, KDE.
Поддерживает ли KDE двойной экран (Xinerama)?
Да, вам необходим X-сервер с поддержкой нескольких мониторов (например, MetroX или XFree86 4.0 и выше) и KDE >= 2.2.1
Как проверить, какой версией KDE я пользуюсь?
Могу ли я создавать коммерческое программное обеспечение для KDE?
Можно использовать библиотеки KDE для написания "коммерческого с закрытым исходным кодом", а также "коммерческого с открытым исходным кодом" программного обеспечения. При написании программного обеспечения с открытым исходным кодом можно использовать свободное издание Qt. Но если вы пишете программное обеспечение с закрытым исходным кодом, вы не можете использовать свободное издание, а должны приобрести у Troll Tech профессиональный выпуск Qt.
Для получения дополнительной информации обращайтесь напрямую в Troll Tech.
Как создавать темы и пиктограммы?
Зайдите на http: / /artist.kde.org.
KLyX больше не существует?
Да. Но последующие версии LyX будут независимыми от GUI. Вы можете проследить развитие различных GUI -оболочек здесь.
Как узнать об обновлениях в разработке?
Вы можете зарегистрироваться в разнообразных списках рассылки KDE, в первую очередь в kde-cvs, где сообщается обо всех изменениях в репозитории CVS. Вы также можете это проверить на http: / /lists.kde.org, если не хотите оформлять подписку.
Получение дополнительной информации
Где находится домашняя страница KDE?
Домашняя страница KDE расположена на http: / /www.kde.org. Если желаете, можете выбрать местное зеркало сервера. Список сайтов-зеркал, составленный в соответствии с их местонахождением, находится на http: / /www.kde.org / webmirrors.html.
Существует ли список рассылки KDE?
Да, их несколько. Каждый из них сфокусирован на определенном аспекте KDE. Некоторые из них предназначены для разработчиков и здесь не рассматриваются. Ниже представлены наиболее важные списки. которые могут заинтересовать пользователя:
kde
Это главный список рассылки KDE для обсуждения общих вопросов.
kde-announce
Этот список используется для информирования о выпуске новых версий KDE, а также новых средств и приложений.
kde-user
Этот список предназначен для помощи одних пользователей другим.
В этом списке обсуждаются вопросы, касающиеся внешнего вида и пользовательского интерфейса в общем.
Полный перечень списков рассылки находится на http: / /www.kde.org / maillinglists.html.
Кстати, не стоит задавать вопросы, ответы на которые уже даны в FAQ.
Как подписаться / отменить подписку в этих списках?
Для того, чтобы подписаться, отправьте сообщение на адрес list-request, т.е.:
kde-request@kde.org
kde-announce-request@kde.org
kde-user-request@kde.org
kde-look-request@kde.org
Для того, чтобы отменить подписку, отправьте сообщение на адрес list-request, т.е.:
kde-request@kde.org
kde-announce-request@kde.org
kde-user-request@kde.org
kde-look-request@kde.org
Никогда не отправляйте запрос о подписке / отмене подписки напрямую в списки рассылки! Используйте запрос по списку.
Полный перечень всех списков рассылки, связанных с KDE, а также web-интерфейс для подписки и отмены подписки расположены на http: / /master.kde.org / mailman / listinfo.
Существует ли архив списка рассылки?
Для осуществления расширенного поиска вам нужно войти в один из списков рассылки. Щелкните по нужной вам папке (например, "kde "или "kde-user"). Для расширенного поиска вам, вероятно, нужно будет просмотреть папки "kde", "kde-user" и "kde-devel ".
Существует ли группа новостей KDE?
Да! И находится на comp.windows.x.kde. Также существует и немецкая группа новостей на de.alt.comp.kde. Кстати, не стоит задавать вопросы, ответы на которые уже даны в FAQ.
Существуют ли еще разделы FAQ по KDE?
Да, вот их список:
FAQ по KDE 2.0
FAQ по Konqueror
FAQ по звуковому серверу aRts
FAQ по KMail
KDE с приложениями не из KDE
Приложения не из KDE, такие как Emacs и kterm, у меня запускаются в огромных окнах и со странными шрифтами.
Вопросы, не связанные напрямую с KDE, но, тем не менее, часто задаваемые: -)
Как изменить разрешение экрана?
Всегда создавайте резервную копию файла XF86Config до того, как начать его редактировать. Ошибки в данном файле могут привести в негодность ваш X Window System.
Эти инструкции действительны только для версий 3.3.x сервера XFree86. Если вы работаете с XFree86 4.x, обратитесь на домашнюю страницу XFree86( TM).
Как изменить глубину цвета?
Что делать, если у меня двухкнопочная мышь?
Пойти купить трехкнопочную или воспользоваться эмуляцией третьей кнопки. Третья кнопка эмулируется одновременным нажатием на правую и левую кнопки мыши. Но для этого необходимо включить Emulate3Buttons в файле XF86Config.
Что такое "прилипающее" окно?
В виртуальной рабочей среде с большим количеством виртуальных рабочих столов "прилипающее" окно остается на экране при переключении между рабочими столами, как будто прилипшее к стеклу экрана. Типичным кандидатом для прилипания является Xclock, поскольку вам нужен только один его экземпляр, который будет всегда с вами.
Как заменить иксобразное изображение курсора на стрелку?
Это создает обычную стрелку. Для просмотра других вариантов, напечатайте xfd -fn cursor. И не забудьте, что вам всегда поможет man xsetroot.
Как распаковать / установить файлы diff?
Как заставить Linux монтировать дисковод для дискет dos и ext2?
Укажите тип файловой системы для автоматического режима в / etc / fstab. Автоматическое обнаружение хорошо работает и для dos и для ext2.
Как загрузить KDE с Num Lock?
Другие возможные варианты:
xkeycaps: щелчок правой кнопки должен позволять редактирование. Возможно, вам придется это делать с правами администратора.
man XF86Config и посмотрите в разделе Клавиатура.
Установите NumLockX, его можно взять на http: / /dforce.sh.cvut.cz / ~seli / en / numlockx.
Как делать снимки окна и рабочего стола?
При помощи KSnapshot.
Существует ли программа для создания web-страниц?
KDE .com:
Что означают сокращения, например AFAIK, в английском варианте FAQ?
AAMOF: as a matter of fact AFAIK: as far as I know AISE: as I see it BFN: bye for now BION: believe it or not BRB: be right back BTW: by the way CMIIW: correct me if I am wrong FUD: fear, uncertainty, and doubt FWIW: for what it 's worth FYI: for your information HTH: hope this helps IIRC: if I recall correctly IMHO: in my humble opinion LOL: laughing out loud MYOB: mind your own business PITA: pain in the ass ROTFL: rolling on the floor laughing RTFM: read the fine manual SOP: standard operating procedure TIA: thanks in advance YMMV: your mileage may vary
Панель
Как добавить приложения на панели (Kicker)?
Есть несколько способов добавления приложений на панель:
Используя меню панели
Используя файловый менеджер
Можно просто перетащить файл .desktop из окна файлового менеджера на панель.
Полезные советы
Чтение man-страниц в KDE
Быстрое перемещение или изменение размера окон
Закрывание окон в KDE
Оконный менеджер
Существуют ли горячие клавиши для операций KWin?
Да. Список горячих клавиш можно найти в "Справочном руководстве по оконному менеджеру KDE".
Могу ли я установить задать свой собственный набор горячих клавиш?
Когда я "сворачиваю "окно, оно исчезает. Куда оно девается?
Обычно, в X Window System нажатие на кнопку свертывания окон (маленькую точку) приводит к стиранию окна приложения и созданию пиктограммы на рабочем столе.
KDE этого не делает. Свернутое окно просто исчезает (но программа продолжает выполняться).
Есть несколько способов добраться до "исчезнувшего" окна:
Если у вас запущена панель задач (Kicker), вы можете вызвать на рабочий стол список задач. Названия свернутых задач будут показаны в скобках.
Если нажать средней кнопкой мыши на корневом окне (т.е. фоне рабочего стола), KWin покажет список всех доступных задач (как и прежде, свернутые задачи будут даны в скобках).
Как распахнуть окно только по вертикали или горизонтали?
Если окно еще не распахнуто, то нажатие на кнопку распахивания окон левой / средней / правой кнопкой мыши соответственно увеличит размер окна во всех направлениях / вертикально / горизонтально.
Что такое "свертывание окна в заголовок"?
В результате "свертывания" окна остается видимым лишь заголовок. Сделать это можно с помощью двойного щелчка на заголовке окна.
Возможно ли сделать так, чтоб окна появлялись в теневой рамке, как в FVWM2?
KDE в Интернете
www.kde.org
Официальный сайт KDE
kde.themes.org
Темы KDE
developer.kde.org
Центр разработки KDE
webcvs.kde.org
web-интерфейс к CVS-репозиторию KDE
i18n.kde.org
Сервер перевода и документации KDE
ftp.kde.org
Основной FTP -сервер KDE. На следующей ссылке вы можете найти ближайшее к вашему месту жительства зеркало
www.kde.org / mirrors.html
Зеркала FTP -сервера KDE
Поддержка KDE
Поддержка KDE
Для того, кто только начинает работать в KDE, сам проект KDE может показаться гигантским и невероятно сложным механизмом. Нет никакого сомнения, KDE давно уже вырос из стадии небольшого проекта. Тем не менее, следует осознать, насколько легко стать неповторимым в мире KDE.
Нам всегда будут нужны достойные программисты, художники, волшебники звуковых эффектов, переводчики и писатели. Поразмыслите хорошенько и включайтесь в этот международный проект, чтобы ваше имя прославилось в компьютерном мире.
Помимо всего прочего, у вас появится масса новых друзей и знакомых по всемы миру, вы получите большое удовольствие от реального программирования и принесете пользу неисчислимому количеству пользователелей по всему миру. С этим проектом ничто не может сравниться по масштабу и темпам развития. Включайтесь в проект, поддержите KDE и почувствуйте себя своим на борту этого корабля, совершающего увлекательное путешествие к новой открытой компьютерной платформе.
Почитайте архивы списков, чтобы ощутить дух разработки KDE.
Научитесь программировать в рамках концепции KDE и станьте своим в дружелюбном сообществе разработчиков KDE.
Финансовая поддержка
Команда KDE работает очень напряженно, чтобы создать лучшую графическую среду для систем UNIX.
KDE доступен свободно и всегда будет таковым, и все строки исходников до единой будут открыты каждому и доступны для улучшения и распространения. Если вам нравится KDE и вы с ним работаете, подумайте о том, чтобы оказать финансовую поддержку проекту KDE. Проекту KDE постоянно требуются средства для развития.
Если ваше расписание или обязанности не позволяют вам активно участвовать в разработке KDE, окажите помощь KDE, перечислив свой вклад на счет:
Свяжитесь с Matthias Hoelzer hoelzer@kde.org, если у вас возникнут вопросы.
Мы вам будем безмерно благодарны. Спасибо!
Установка
Я, бывает, теряю терпение после сбоя fsck (Линус Торвальдс после обнаружения, что одна из его файловых систем уничтожена новой бета-версией ядра.)
Не волнуйтесь! Использование бета-версий программного обеспечения может иногда вызвать значительное расстройство нервной системы. Однако вряд ли установка KDE выведет из строя ваш жесткий диск. На самом деле, эта глава написана, чтобы помочь вам в процессе инсталляции и дать вам возможность увидеть ваш новый рабочий стол в среде KDE настолько быстро и с наименьшими бедами на вашу голову, насколько это возможно. Также как и при установке любого менеджера окон, рекомендуется, чтобы вы сделали резервную копию всех ваших файлов настройки, касающихся X11, до того как вы начнете установку. Если вы не знаете где эти файлы находятся - - просмотрите все скрытые файлы (.*) в вашем домашнем каталоге и каталоге / usr / X11 / lib / X11 / xdm.
Требования
Перед установкой KDE убедитесь, что ваша система отвечает следующим требованиям:
Ваша система UNIX совместима со стандартом POSIX.
UNIX 'ы, про которые известно, что KDE в них работает, включают:
Linux, FreeBSD, Solaris, HP-UX и MkLinux. Мы работаем над тем, чтобы отладить KDE и для других систем.
Свободное меcто на жестком диске там, где будет создан каталог / opt / kde. Мы рекомендуем зарезервировать примерно 80 МБ, если ваша система поддерживает разделяемые библиотеки, или значительно больше, если не поддерживает. Если вам нужно (или хочется) скомпилировать KDE из исходников, не забудьте зарезервировать 100 или более мегабайт в / usr / src.
Работающая система X11 с или без xdm. Если вы все еще не установили систему X Window, первым делом проверьте ваш дистрибутив UNIX 'а на наличие установочной версии этой системы. Если вы не можете найти таковую - - зайдите на сайт XFree86, чтобы узнать, как получить и установить систему X Window, или свяжитесь со службой поддержки пользователей вашего дистрибутива UNIX.
Библиотеку Qt, версии 3.01 или выше. Вы можете найти ее на FTP-сервере компании Troll Tech как в rpm, так и tgz форматах.
Прежде чем делать обновление предыдущих версий KDE, мы рекомендуем вам сделать следующее:
Linux: Установка RPM пакетов для RedHat, Caldera и SuSE.
Использование RPM пакетов - - это наиболее простой метод установки KDE. Сначала зайдите на ваше любимое зеркало и найдите каталог / pub / kde / stable / distribution / rpm. Там вы увидите несколько подкаталогов для различных операционных систем. На данный момент поддерживаются архитектуры i386, alpha и sparc. Также пакеты rpm могут быть найдены на сайтах, сотрудничающих с Red Hat, таких как sunsite.unc.edu или ftp.redhat.com
Теперь вы можете приступить к инсталляции. Начинайте с базовых пакетов. Если вы устанавливаете KDE в первый раз, используйте
Важно, чтобы компоненты были установлены именно в этом порядке и до остальных компонентов KDE.
Опять же, придерживайтесь указанной выше последовательности и не забывайте, что базовые компоненты должны быть установлены прежде всех других.
В результате вы распакуете базовый дистрибутив и установите eго в / opt / kde.
Если инсталляция базовых пакетов прошла успешно, вы можете таким же образом установить все оставшиеся пакеты (используя снова -Uvh вместо -i, если это обновление более старых версий).
Linux: Установка пакетов DEB в Debian-дистрибутиве
Установка на Debian тоже довольно проста. Пакеты KDE 2 есть для Debian 2.2 (Potato) и 3.0 (Woody). Мы опишем установку для Debian 2.2, а для других дистрибутивов она почти ничем не отличается. Так или иначе, KDE официально входит в Debian 3.0 и не нужно искать deb пакеты для KDE где-то еще.
Сначала укажите, где находятся пакеты deb для KDE. Список пакетов Debian хранится на жестком диске в / etc / apt / sources.list. Добавьте в него следующее: http: / /kde.tdyc.com / stable kde2
Затем обновите базу данных пакетов, чтобы система узнала о наличии новых пакетов:
Теперь установите базовые пакеты KDE:
Для установки прочих компонентов введите:
Также вам может пригодится пакет локализации для вашего языка:
где xx замените названием своего языка (ru для русского).
Файлы настроек некоторых приложений KDE попадут в / etc / kde2, программы - в / usr / bin и большинство прочих файлов - в подкаталоги / usr / share.
При обновлении имеющейся версии KDE поступайте так: сначала обновите файл / etc / apt / sources.list, изменив строку с расположением пакетов KDE: http: / /kde.tdyc.com / stable kde2. Потом обновите базу пакетов:
Наконец, установите kdebase:
Для других пакетов KDE введите следующее.
Использование TGZ для установки на другие системы
Если ваш дистрибутив Linux не поддерживает форматы RPM или DEB для установочных архивов, или вы вообще не используете Linux, вы должны компилировать KDE сами. В будущем мы планируем поставлять бинарный дистрибутив, который будет иметь свою собственную программу инсталляции.
Для того, чтобы правильно собрать и установить KDE, вам нужно установить на ваш жесткий диск следующие программы:
Компилятор ANSI-C, например, GNU C компилятор.
Компилятор ANSI-C+ + например, GNU C++.
Программу make.
Qt версии 3.01 или выше.
X11 для разработчиков (include-файлы часто отсутствуют в дистрибутиве)
kdesupport - version .tar.gz
kdelibs - version .tar.gz
kdebase - version .tar.gz
и все прочие пакеты, которые вы хотите установить. Мы советуем, по меньшей мере, взять kdeutils.
Везде последняя версия означает номер новейшей версии. Когда вы скачате все необходимое, разархивируйте все эти файлы в / usr / src. В результате вы должны получить следующую структуру каталогов:
/usr / src / kdesupport
/usr / src / kdelibs
/usr / src / kdebase
/usr / src /... (любые другие пакеты)
Убедитесь, что у вас есть разрешение на запись в каталог / opt / kde.
Далее вы должны собрать и установить пакеты:
cd в каталог пакета, который вы хотите установить (см. выше)
make
make install
Повторите все эти шаги для каждого пакета, который вы хотите установить.
А вообще-то эти инструкции могут быть использованы почти для каждого пакета с исходниками, не только пакета KDE.
Некоторые параметры не критичны и используются лишь для обхода некоторых известных проблем (например, --disable-FEATURE). Но некоторые параметры действительно важны, такие как --with-shadow, поэтому лучше ознакомиться с имеющимися параметрами до компиляции.
Если у вас возникли проблемы, которые вы не смогли решить, отправьте копию файла config.log по адресу, указанному в файле README из неподдающегося пакета.
Вы должны устанавливать KDE в следующем порядке: kdesupport, kdelibs, затем пакеты приложений (например, kdebase). Все эти приложения должны зависеть только от kdelibs, так что вы можете их компилировать все одновременно (если у вас мощная машина).
Примечания по сборке, специфические для конкретных платформ
Linux
Для Linux большинство необходимых средств для сборки KDE можно найти на ftp: / /sunsite.unc.edu / pub / Linux / GCC или на ftp: / /sunsite.unc.edu / pub / GNU. Библиотеки Qt можно скачать с ftp: / /ftp.troll.no / pub / qt / linux в виде исходников или пакетов RPM для Linux. В обоих вариантах имеется детальная информация по установке. Файлы include для X11 доступны на ftp: / /ftp.xfree86.org в разделе xdevel.
Требуемые изменения в файлах настройки
Поместив бинарники KDE в нужный каталог, поправьте еще свои стартовые скрипты.
Следующий рецепт был проверен на SuSE Linux 5.0, и он должен работать на других дистрибутивах UNIX. Настоятельно рекомендуется делать копии файлов настройки, прежде чем менять их! Добавьте в / etc / profile следующее:
export PATH=$PATH: / opt / kde / bin export KDEDIR= / opt / kde
Отредактируйте файл .xinitrc в своем домашнем каталоге. Найдите команду вызова оконного менеджера и замените ее на startkde.
Мы старались, чтобы установка шла как по маслу, и вам вряд ли доведется встретиться с серьезными проблемами, если вы не работаете на чем-то экзотическом.В случае возникновения проблем пишите в списки рассылки KDE
Что еще почитать?
Другие источники информации
Зайдите на веб-сайт KDE для получения наиболее свежей информации o KDE в Интернете. Вы также можете подписаться на наши списки рассылки.
Для того чтобы подписаться, отправьте электронное письмо по указанному адресу со строкой subscribe ваш email-адрес в "subject":
Эпилог
She had her moments, she had some style, the best show in town was the crowd, outside the Casa Rosada crying 'Eva Peron'; but that's all gone now... - - У нее были мгновения, был стиль, лучшее шоу в городе для толпы, ревущей 'Eva Peron' где-то снаружи Каса Розада, и где все это теперь?...
Мы надеемся, что вы эта документация была полезна, информативна, и, может быть, даже интересна для вас. Дальнейшая часть этого документа не нужна вам для большего понимания KDE, но тем не менее не откажите себе в том, чтобы ее почитать.
Авторы документации KDE
Руководство пользователя было обновлено для версии 2.х. В настоящее время оно сопровождается Lauri Watts vampyr@atconnex.net
Кто еще внес свой вклад в написание этого руководства.
Pablo de Vicente vicente@oan.es, обновивший раздел по установке KDE на Debian
Andreas Buschka andi@circe.tops.net
Robert D.
Williams rwilliam@kde.org
Poul Gerhard
John Waalkes
Vernon Wells
Kay Lutz
Stephan Kulow
И нам все еще нужны помощники!
KDE - - это гигантский проект, и каждый, кто помогает KDE, ощущает это. Мы все стараемся создать пользовательский интерфейс, который легок в обращении и который может сделать UNIX пригодным для настольных ПК. Вы можете тоже участвовать в этом проекте, и мы будем вам очень благодарны. Разработчики и заинтересованные пользователи общаются друг с другом с помощью списков рассылки, описанных в. Если вы хотите помочь - - сделайте это! Нам всегда нужны помощники для следующих проектов и работ:
Разработка (Библиотеки и приложения)
Документация
Графика
Бета-тестирование
и все прочее тоже: -)
Замечания о лицензировании
Она содержит авторский материал Андреаса Бущка, Герхарда Поля и Роберта Дэвида Вильямса. Все торговые марки и имена, упомянутые в книге, являются собственностью их законных владельцев.
Источники информации, которые были использованы при создании этой книги
В процессе работы над этой книгой авторы использовали следующие источники информации:
Списки рассылки KDE
Различные файлы README и справки HTML, входящие в состав пакетов KDE
Лицензия
This documentation is licensed under the terms of the GNU Free Documentation License.
Иллюстрированное введение в KDE
Разрешается копировать, распространять и / или изменять этот документ на условиях лицензии GNU для свободной документации, версии 1.1 или более поздней, опубликованной Фондом Free Software Foundation; без неизменямых разделов, без текста на первой странице, без текста на последней странице. Копия лицензии находится здесь.
Иллюстрированное введение в интерфейс KDE. Пока этот документ очень неполон. В конечном счете мы надеемся, что он превратится в графическое руководство по KDE.
Наглядный словарь терминов KDE
Этот проект должен послужить унификации словаря терминов KDE, встречающихся в документации.
Мы начали его, чтобы пользователем было проще осваивать графический интерфейс KDE. В документации KDE используются именно эти названия, поэтому вам всегда будет ясно, о каком элементе интерфейса идет речь.
Само слово Widget означает "элемент графического интерфейса", или "кирпичик", из которых складываются детали графического интерфейса приложений.
Каждый графический элемент несет вполне определенную функцию, но само его действие зависит от того, где в программе он вызывается.
Список часто встречающихся графических элементов KDE
В настоящем документе перечисляются названия графических элементов, часто встречающихся в документации KDE, и приводятся их примеры.
Мы надеемся рано или поздно довести этот документ до завершенности, чтобы ваше путешествие по KDE было приятным и наглядным.
Разработчики и лицензирование
Visual Guide to KDE
Документация подготовлена командой KDE.
Этот документ распространяется на условиях GNU Free Documentation License.
Добро пожаловать в KDE
Команда KDE приглашает вас в удобную в работе графическую среду под Unix.
Откройте для себя десктоп KDE!
Сведения о KDE
KDE - это мощная графическая рабочая среда под Unix / Linux, интегрированная с Интернет.Она сочетает в себе простоту использования, высокуюфункциональность и выдающийся графический дизайн вместе с технологическим совершенством операционной системы Unix.
Что такое графическая среда KDE?
Как связаться с разработчиками KDE?
Как поддержать проект KDE?
Полезные ссылки
Приемы эффективной работы в KDE
Общие руководства
Обзор возможностей работы в графической среде
Руководство пользователя KDE
Часто задаваемые вопросы
Основные приложения
Панель рабочего стола:
Центр управления
Файловый менеджер
Что такое KDE?
Что такое KDE?
KDE - - это интерактивная рабочая среда. Другими словами, это набор программ, технологий и документации, которые призваны облегчить жизнь пользователей персональных компьютеров.
KDE нацелена на рабочие станции под управлением Unix. Среди ее отличительных особенностей - - "прозрачная" работа в сети и современная философия работы.
Создатели этой рабочей среды - сообщество разбросанных по всему миру программистов. Эти люди - разработчики свободного программного обеспечения - основной своей задачей считают выпуск высококачественного программного продукта, который позволит пользователю с легкостью задействовать всю вычислительную мощь своего компьютера.
Стабильность, масштабируемость и открытость - вот те качества, которые сделали Unix бесспорным выбором профессионалов в области информационных технологий в течение многих лет. Все эти качества лежат в основе KDE, и, в свою очередь, она сама предлагает нечто новое: удобство в использовании, дружественность к пользователю и, наконец, красоту!
KDE был и остается лидером в том, чтобы наделить всеми эти привлекательными чертами Unix, систему, которая повсеместно была платформой номер один для серверных применений и в научных учреждениях, но не привлекала обычных пользователей.
Без Unix не было бы и Интернета, по крайней мере, в нашем теперешнем представлении. Однако до недавнего времени Unix не отвечал запросам рядового пользователя. Этот факт особенно неприятен, поскольку существуют такие варианты Unix, как (Linux и FreeBSD, NetBSD и т.д.), которые свободно доступны в Интернете и славятся исключительным качеством и стабильностью.
KDE - интерактивная рабочая среда
В сочетании со свободными версиями Unix, KDE дарит миру открытую и абсолютно свободную от всех ограничений рабочую среду для домашнего или профессионального применения.
Эта платформа доступна всем желающим бесплатно, включая полные исходные тексты, что дает возможность их модификации.
Хотя всегда есть простор для улучшений, мы считаем, что нам уже удалось создать достойную альтернативу некоторым повсеместно используемым в настоящий момент коммерческим операционным системам и рабочим средам. Мы надеемся, что комбинация Unix и KDE наконец подарит пользователю открытую, надежную, стабильную и свободную от любых монополий компьютерную систему, такую систему, которую в течение многих лет с удовольствием используют ученые и профессионалы-компьютерщики во всем мире.
KDE - среда для разработки приложений
KDE всецело фокусируется на нуждах конечного пользователя, но очевидно, что эта цель в первую очередь достигается и тем, что разработчики имеют в своем распоряжении наилучшие средства разработки. Поэтому в основу KDE положены новейшие достижения в технологии разработки программного обеспечения.
Разработка приложений для Unix / X11 всегда была исключительно утомительной и трудоемкой задачей. Авторы KDE осознают, что любая компьютерная платформа хороша настолько, насколько велико число первоклассных приложений, созданных для нее.
В свете всего этого участники проекта KDE разработали первоклассную концепцию компонентного документа приложений. В этой системе были использованы последние достижения в каркасной технологии, что сделало ее конкурентоспособной с другими популярными концептуальными системами для разработчиков, такими, как MFC / COM / ActiveX от Microsoft. Технология KDE KOM / OpenParts позволяет разработчикам быстро создавать первоклассные приложения, использующие новейшие достижения программирования.
KDE - пакет офисных приложений
В настоящий момент KDE предоставляет помимо интерактивной рабочей среды еще и интегрированный пакет мощных офисных приложений, больше известный под названием KOffice.
KOffice базируется на технологиях DCOP / KParts. В настоящий момент он включает в себя мощный текстовый редактор с издательскими возможностями (KWord), электронную таблицу (KSpread) в сочетании с программой для построения диаграмм (KChart), средство подготовки презентаций (KPresenter) и пакет для создания векторной графики (Kontour). Эти инструменты обьединяет приложение под названием Рабочая среда KOffice, интегрированная оболочка, которая упрощает совместное использование компонентов KOffice. Пакет включает в себя и дополнительные средства, такие как клиенты электронной почты и новостей, мощный органайзер PIM (Personal Information Manager) и многое другое.
Хотя некоторые из этих приложений все еще находятся в стадии альфа-тестирования, другие уже впечатляют своей мощью. Например, KPresenter, пакет для подготовки электронных презентаций, успешно использовался для проведения презентации KDE на 5-м Международном Линукс-конгрессе в Кёльне (Германия).
Мы приглашаем вас узнать больше о KDE и KOffice.
